const VertexBase box[522] = {
{{-1.000000 , -1.000000 , 1.000000 },{ -1.000000 , 0.000000 , 0.000000}},
{{-1.000000 , -0.800000 , 0.800000 },{ -1.000000 , 0.000000 , 0.000000}},
{{-1.000000 , -0.800000 , 0.600000 },{ -1.000000 , 0.000000 , 0.000000}},
{{0.800000 , -0.800000 , 1.000000 },{ 0.000000 , 0.000000 , 1.000000}},
{{1.000000 , -1.000000 , 1.000000 },{ 0.000000 , 0.000000 , 1.000000}},
{{0.800000 , -0.600000 , 1.000000 },{ 0.000000 , 0.000000 , 1.000000}},
{{1.000000 , -1.000000 , -1.000000 },{ 1.000000 , 0.000000 , 0.000000}},
{{1.000000 , -0.800000 , -0.800000 },{ 1.000000 , 0.000000 , 0.000000}},
{{1.000000 , -0.800000 , -0.600000 },{ 1.000000 , 0.000000 , 0.000000}},
{{0.800000 , 0.800000 , -1.000000 },{ -0.000000 , 0.000000 , -1.000000}},
{{1.000000 , 1.000000 , -1.000000 },{ -0.000000 , 0.000000 , -1.000000}},
{{0.800000 , 0.600000 , -1.000000 },{ -0.000000 , 0.000000 , -1.000000}},
{{1.000000 , -1.000000 , -1.000000 },{ 0.000000 , -1.000000 , 0.000000}},
{{1.000000 , -1.000000 , 1.000000 },{ 0.000000 , -1.000000 , 0.000000}},
{{0.800000 , -1.000000 , -0.800000 },{ 0.000000 , -1.000000 , 0.000000}},
{{1.000000 , 1.000000 , 1.000000 },{ 0.000000 , 1.000000 , 0.000000}},
{{0.800000 , 1.000000 , 0.800000 },{ 0.000000 , 1.000000 , 0.000000}},
{{0.600000 , 1.000000 , 0.800000 },{ 0.000000 , 1.000000 , 0.000000}},
{{-1.000000 , 0.800000 , -0.600000 },{ 0.000000 , 0.707107 , 0.707107}},
{{-1.000000 , -0.600000 , 0.800000 },{ 0.000000 , 0.707107 , 0.707107}},
{{-0.900000 , 0.800000 , -0.600000 },{ 0.000000 , 0.707107 , 0.707107}},
{{1.000000 , -0.800000 , -0.800000 },{ 1.000000 , 0.000000 , 0.000000}},
{{1.000000 , -1.000000 , -1.000000 },{ 1.000000 , 0.000000 , 0.000000}},
{{1.000000 , -0.600000 , -0.800000 },{ 1.000000 , 0.000000 , 0.000000}},
{{1.000000 , 0.800000 , 0.800000 },{ 1.000000 , 0.000000 , 0.000000}},
{{1.000000 , 1.000000 , 1.000000 },{ 1.000000 , 0.000000 , 0.000000}},
{{1.000000 , 0.600000 , 0.800000 },{ 1.000000 , 0.000000 , 0.000000}},
{{-1.000000 , 0.800000 , -0.800000 },{ -1.000000 , 0.000000 , 0.000000}},
{{-1.000000 , 1.000000 , -1.000000 },{ -1.000000 , 0.000000 , 0.000000}},
{{-1.000000 , 0.600000 , -0.800000 },{ -1.000000 , 0.000000 , 0.000000}},
{{1.000000 , 1.000000 , 1.000000 },{ 1.000000 , 0.000000 , 0.000000}},
{{1.000000 , 0.800000 , 0.800000 },{ 1.000000 , 0.000000 , 0.000000}},
{{1.000000 , 0.800000 , 0.600000 },{ 1.000000 , 0.000000 , 0.000000}},
{{-0.900000 , -0.800000 , 0.600000 },{ -1.000000 , 0.000000 , 0.000000}},
{{-0.900000 , 0.600000 , -0.800000 },{ -1.000000 , 0.000000 , 0.000000}},
{{-0.900000 , -0.800000 , -0.800000 },{ -1.000000 , 0.000000 , 0.000000}},
{{-1.000000 , -0.800000 , 0.800000 },{ -1.000000 , 0.000000 , 0.000000}},
{{-1.000000 , -1.000000 , 1.000000 },{ -1.000000 , 0.000000 , 0.000000}},
{{-1.000000 , -0.600000 , 0.800000 },{ -1.000000 , 0.000000 , 0.000000}},
{{-0.800000 , -0.800000 , 1.000000 },{ 0.000000 , 1.000000 , 0.000000}},
{{0.600000 , -0.800000 , 1.000000 },{ 0.000000 , 1.000000 , 0.000000}},
{{-0.800000 , -0.800000 , 0.900000 },{ 0.000000 , 1.000000 , 0.000000}},
{{-0.800000 , -0.800000 , -1.000000 },{ -0.000000 , 0.000000 , -1.000000}},
{{-1.000000 , -1.000000 , -1.000000 },{ -0.000000 , 0.000000 , -1.000000}},
{{-0.800000 , -0.600000 , -1.000000 },{ -0.000000 , 0.000000 , -1.000000}},
{{1.000000 , -1.000000 , 1.000000 },{ 0.000000 , 0.000000 , 1.000000}},
{{0.800000 , -0.800000 , 1.000000 },{ 0.000000 , 0.000000 , 1.000000}},
{{0.600000 , -0.800000 , 1.000000 },{ 0.000000 , 0.000000 , 1.000000}},
{{-1.000000 , 1.000000 , 1.000000 },{ 0.000000 , 0.000000 , 1.000000}},
{{-0.800000 , 0.800000 , 1.000000 },{ 0.000000 , 0.000000 , 1.000000}},
{{-0.600000 , 0.800000 , 1.000000 },{ 0.000000 , 0.000000 , 1.000000}},
{{-0.800000 , 0.800000 , 1.000000 },{ 0.000000 , 0.000000 , 1.000000}},
{{-1.000000 , 1.000000 , 1.000000 },{ 0.000000 , 0.000000 , 1.000000}},
{{-0.800000 , 0.600000 , 1.000000 },{ 0.000000 , 0.000000 , 1.000000}},
{{-0.600000 , -0.800000 , -1.000000 },{ 0.707107 , -0.707107 , 0.000000}},
{{0.800000 , 0.600000 , -1.000000 },{ 0.707107 , -0.707107 , 0.000000}},
{{-0.600000 , -0.800000 , -0.900000 },{ 0.707107 , -0.707107 , 0.000000}},
{{1.000000 , 1.000000 , 0.000000 },{ 0.000000 , 1.000000 , 0.000000}},
{{1.000000 , 1.000000 , -1.000000 },{ 0.000000 , 1.000000 , 0.000000}},
{{0.800000 , 1.000000 , 0.000000 },{ 0.000000 , 1.000000 , 0.000000}},
{{-0.900000 , 0.800000 , -0.600000 },{ -1.000000 , 0.000000 , 0.000000}},
{{-0.900000 , -0.600000 , 0.800000 },{ -1.000000 , 0.000000 , 0.000000}},
{{-0.900000 , 0.800000 , 0.800000 },{ -1.000000 , 0.000000 , 0.000000}},
{{-0.800000 , -1.000000 , 0.800000 },{ 0.000000 , -1.000000 , 0.000000}},
{{-0.800000 , -1.000000 , -0.800000 },{ 0.000000 , -1.000000 , 0.000000}},
{{0.800000 , -1.000000 , 0.800000 },{ 0.000000 , -1.000000 , 0.000000}},
{{-1.000000 , -1.000000 , 1.000000 },{ 0.000000 , -1.000000 , 0.000000}},
{{-1.000000 , -1.000000 , -1.000000 },{ 0.000000 , -1.000000 , 0.000000}},
{{-0.800000 , -1.000000 , 0.800000 },{ 0.000000 , -1.000000 , 0.000000}},
{{-1.000000 , -1.000000 , -1.000000 },{ 0.000000 , -1.000000 , 0.000000}},
{{1.000000 , -1.000000 , -1.000000 },{ 0.000000 , -1.000000 , 0.000000}},
{{-0.800000 , -1.000000 , -0.800000 },{ 0.000000 , -1.000000 , 0.000000}},
{{1.000000 , -1.000000 , 1.000000 },{ 0.000000 , -1.000000 , 0.000000}},
{{-1.000000 , -1.000000 , 1.000000 },{ 0.000000 , -1.000000 , 0.000000}},
{{0.800000 , -1.000000 , 0.800000 },{ 0.000000 , -1.000000 , 0.000000}},
{{-1.000000 , -0.800000 , 0.800000 },{ -1.000000 , 0.000000 , 0.000000}},
{{-1.000000 , -0.600000 , 0.800000 },{ -1.000000 , 0.000000 , 0.000000}},
{{-1.000000 , -0.800000 , 0.600000 },{ -1.000000 , 0.000000 , 0.000000}},
{{-1.000000 , -0.600000 , 0.800000 },{ -0.000000 , 0.000000 , -1.000000}},
{{-1.000000 , 0.800000 , 0.800000 },{ -0.000000 , 0.000000 , -1.000000}},
{{-0.900000 , -0.600000 , 0.800000 },{ -0.000000 , 0.000000 , -1.000000}},
{{1.000000 , 1.000000 , -1.000000 },{ 1.000000 , 0.000000 , 0.000000}},
{{1.000000 , 1.000000 , 0.000000 },{ 1.000000 , 0.000000 , 0.000000}},
{{1.000000 , 0.800000 , 0.000000 },{ 1.000000 , 0.000000 , 0.000000}},
{{0.800000 , 1.000000 , 0.800000 },{ 0.000000 , 1.000000 , 0.000000}},
{{1.000000 , 1.000000 , 1.000000 },{ 0.000000 , 1.000000 , 0.000000}},
{{0.800000 , 1.000000 , 0.600000 },{ 0.000000 , 1.000000 , 0.000000}},
{{-1.000000 , 1.000000 , 1.000000 },{ 0.000000 , 1.000000 , 0.000000}},
{{0.000000 , 1.000000 , 1.000000 },{ 0.000000 , 1.000000 , 0.000000}},
{{0.000000 , 1.000000 , 0.800000 },{ 0.000000 , 1.000000 , 0.000000}},
{{1.000000 , 1.000000 , 1.000000 },{ 0.000000 , 0.000000 , 1.000000}},
{{0.000000 , 1.000000 , 1.000000 },{ 0.000000 , 0.000000 , 1.000000}},
{{0.000000 , 0.800000 , 1.000000 },{ 0.000000 , 0.000000 , 1.000000}},
{{0.800000 , 1.000000 , -0.800000 },{ 0.000000 , 0.000000 , 1.000000}},
{{-0.600000 , 1.000000 , -0.800000 },{ 0.000000 , 0.000000 , 1.000000}},
{{0.800000 , 0.900000 , -0.800000 },{ 0.000000 , 0.000000 , 1.000000}},
{{0.800000 , 1.000000 , 0.600000 },{ -1.000000 , 0.000000 , 0.000000}},
{{0.800000 , 1.000000 , 0.000000 },{ -1.000000 , 0.000000 , 0.000000}},
{{0.800000 , 0.900000 , 0.600000 },{ -1.000000 , 0.000000 , 0.000000}},
{{-1.000000 , 0.800000 , 0.800000 },{ 0.000000 , -1.000000 , 0.000000}},
{{-1.000000 , 0.800000 , -0.600000 },{ 0.000000 , -1.000000 , 0.000000}},
{{-0.900000 , 0.800000 , 0.800000 },{ 0.000000 , -1.000000 , 0.000000}},
{{0.000000 , 1.000000 , 0.800000 },{ -0.000000 , 0.000000 , -1.000000}},
{{0.600000 , 1.000000 , 0.800000 },{ -0.000000 , 0.000000 , -1.000000}},
{{0.000000 , 0.900000 , 0.800000 },{ -0.000000 , 0.000000 , -1.000000}},
{{-0.800000 , 1.000000 , 0.800000 },{ -0.000000 , 0.000000 , -1.000000}},
{{0.000000 , 1.000000 , 0.800000 },{ -0.000000 , 0.000000 , -1.000000}},
{{-0.800000 , 0.900000 , 0.800000 },{ -0.000000 , 0.000000 , -1.000000}},
{{0.600000 , 1.000000 , 0.800000 },{ -0.707107 , 0.000000 , 0.707107}},
{{-0.800000 , 1.000000 , -0.600000 },{ -0.707107 , 0.000000 , 0.707107}},
{{0.600000 , 0.900000 , 0.800000 },{ -0.707107 , 0.000000 , 0.707107}},
{{-0.600000 , 0.900000 , -0.800000 },{ 0.000000 , 1.000000 , 0.000000}},
{{0.800000 , 0.900000 , 0.600000 },{ 0.000000 , 1.000000 , 0.000000}},
{{0.800000 , 0.900000 , 0.000000 },{ 0.000000 , 1.000000 , 0.000000}},
{{0.800000 , 1.000000 , 0.000000 },{ -1.000000 , 0.000000 , 0.000000}},
{{0.800000 , 1.000000 , -0.800000 },{ -1.000000 , 0.000000 , 0.000000}},
{{0.800000 , 0.900000 , 0.000000 },{ -1.000000 , 0.000000 , 0.000000}},
{{-0.800000 , 1.000000 , -0.600000 },{ 1.000000 , 0.000000 , 0.000000}},
{{-0.800000 , 1.000000 , 0.800000 },{ 1.000000 , 0.000000 , 0.000000}},
{{-0.800000 , 0.900000 , -0.600000 },{ 1.000000 , 0.000000 , 0.000000}},
{{-0.800000 , 1.000000 , -0.800000 },{ 0.000000 , 1.000000 , 0.000000}},
{{-1.000000 , 1.000000 , -1.000000 },{ 0.000000 , 1.000000 , 0.000000}},
{{-0.800000 , 1.000000 , -0.600000 },{ 0.000000 , 1.000000 , 0.000000}},
{{-0.600000 , 1.000000 , -0.800000 },{ 0.707107 , 0.000000 , -0.707107}},
{{0.800000 , 1.000000 , 0.600000 },{ 0.707107 , 0.000000 , -0.707107}},
{{-0.600000 , 0.900000 , -0.800000 },{ 0.707107 , 0.000000 , -0.707107}},
{{1.000000 , -0.800000 , -0.600000 },{ 1.000000 , 0.000000 , 0.000000}},
{{1.000000 , -0.600000 , -0.800000 },{ 1.000000 , 0.000000 , 0.000000}},
{{1.000000 , 0.600000 , 0.800000 },{ 1.000000 , 0.000000 , 0.000000}},
{{1.000000 , -0.600000 , -0.800000 },{ 1.000000 , 0.000000 , 0.000000}},
{{1.000000 , -0.800000 , -0.600000 },{ 1.000000 , 0.000000 , 0.000000}},
{{1.000000 , -0.800000 , -0.800000 },{ 1.000000 , 0.000000 , 0.000000}},
{{1.000000 , 0.600000 , 0.800000 },{ 1.000000 , 0.000000 , 0.000000}},
{{1.000000 , 0.800000 , 0.600000 },{ 1.000000 , 0.000000 , 0.000000}},
{{1.000000 , 0.800000 , 0.800000 },{ 1.000000 , 0.000000 , 0.000000}},
{{1.000000 , -0.800000 , 0.800000 },{ 0.000000 , 1.000000 , 0.000000}},
{{1.000000 , -0.800000 , -0.600000 },{ 0.000000 , 1.000000 , 0.000000}},
{{0.900000 , -0.800000 , 0.800000 },{ 0.000000 , 1.000000 , 0.000000}},
{{1.000000 , -0.600000 , -0.800000 },{ 0.000000 , 0.000000 , 1.000000}},
{{1.000000 , 0.800000 , -0.800000 },{ 0.000000 , 0.000000 , 1.000000}},
{{0.900000 , -0.600000 , -0.800000 },{ 0.000000 , 0.000000 , 1.000000}},
{{0.900000 , -0.800000 , -0.600000 },{ 1.000000 , 0.000000 , 0.000000}},
{{0.900000 , 0.600000 , 0.800000 },{ 1.000000 , 0.000000 , 0.000000}},
{{0.900000 , -0.800000 , 0.800000 },{ 1.000000 , 0.000000 , 0.000000}},
{{0.900000 , 0.800000 , 0.600000 },{ 1.000000 , 0.000000 , 0.000000}},
{{0.900000 , -0.600000 , -0.800000 },{ 1.000000 , 0.000000 , 0.000000}},
{{0.900000 , 0.800000 , -0.800000 },{ 1.000000 , 0.000000 , 0.000000}},
{{1.000000 , 0.800000 , 0.600000 },{ 0.000000 , 0.707107 , -0.707107}},
{{1.000000 , -0.600000 , -0.800000 },{ 0.000000 , 0.707107 , -0.707107}},
{{0.900000 , 0.800000 , 0.600000 },{ 0.000000 , 0.707107 , -0.707107}},
{{1.000000 , 0.800000 , -0.800000 },{ 0.000000 , -1.000000 , 0.000000}},
{{1.000000 , 0.800000 , 0.600000 },{ 0.000000 , -1.000000 , 0.000000}},
{{0.900000 , 0.800000 , -0.800000 },{ 0.000000 , -1.000000 , 0.000000}},
{{1.000000 , -0.800000 , -0.600000 },{ 0.000000 , -0.707107 , 0.707107}},
{{1.000000 , 0.600000 , 0.800000 },{ 0.000000 , -0.707107 , 0.707107}},
{{0.900000 , -0.800000 , -0.600000 },{ 0.000000 , -0.707107 , 0.707107}},
{{1.000000 , 0.600000 , 0.800000 },{ -0.000000 , 0.000000 , -1.000000}},
{{1.000000 , -0.800000 , 0.800000 },{ -0.000000 , 0.000000 , -1.000000}},
{{0.900000 , 0.600000 , 0.800000 },{ -0.000000 , 0.000000 , -1.000000}},
{{0.600000 , -0.800000 , 1.000000 },{ -0.707107 , -0.707107 , 0.000000}},
{{-0.800000 , 0.600000 , 1.000000 },{ -0.707107 , -0.707107 , 0.000000}},
{{0.600000 , -0.800000 , 0.900000 },{ -0.707107 , -0.707107 , 0.000000}},
{{0.600000 , -0.800000 , 1.000000 },{ 0.000000 , 0.000000 , 1.000000}},
{{0.800000 , -0.800000 , 1.000000 },{ 0.000000 , 0.000000 , 1.000000}},
{{0.800000 , -0.600000 , 1.000000 },{ 0.000000 , 0.000000 , 1.000000}},
{{0.600000 , -0.800000 , 0.900000 },{ 0.000000 , 0.000000 , 1.000000}},
{{-0.800000 , 0.600000 , 0.900000 },{ 0.000000 , 0.000000 , 1.000000}},
{{-0.800000 , -0.800000 , 0.900000 },{ 0.000000 , 0.000000 , 1.000000}},
{{-0.600000 , 0.800000 , 0.900000 },{ 0.000000 , 0.000000 , 1.000000}},
{{0.800000 , -0.600000 , 0.900000 },{ 0.000000 , 0.000000 , 1.000000}},
{{0.800000 , 0.800000 , 0.900000 },{ 0.000000 , 0.000000 , 1.000000}},
{{-0.600000 , 0.800000 , 1.000000 },{ 0.707107 , 0.707107 , 0.000000}},
{{0.800000 , -0.600000 , 1.000000 },{ 0.707107 , 0.707107 , 0.000000}},
{{-0.600000 , 0.800000 , 0.900000 },{ 0.707107 , 0.707107 , 0.000000}},
{{-0.800000 , 0.600000 , 1.000000 },{ 1.000000 , 0.000000 , 0.000000}},
{{-0.800000 , -0.800000 , 1.000000 },{ 1.000000 , 0.000000 , 0.000000}},
{{-0.800000 , 0.600000 , 0.900000 },{ 1.000000 , 0.000000 , 0.000000}},
{{0.800000 , 0.800000 , 1.000000 },{ 0.000000 , -1.000000 , 0.000000}},
{{-0.600000 , 0.800000 , 1.000000 },{ 0.000000 , -1.000000 , 0.000000}},
{{0.800000 , 0.800000 , 0.900000 },{ 0.000000 , -1.000000 , 0.000000}},
{{0.800000 , -0.600000 , 1.000000 },{ -1.000000 , 0.000000 , 0.000000}},
{{0.800000 , 0.800000 , 1.000000 },{ -1.000000 , 0.000000 , 0.000000}},
{{0.800000 , -0.600000 , 0.900000 },{ -1.000000 , 0.000000 , 0.000000}},
{{-1.000000 , -1.000000 , -1.000000 },{ -0.000000 , 0.000000 , -1.000000}},
{{-0.800000 , -0.800000 , -1.000000 },{ -0.000000 , 0.000000 , -1.000000}},
{{-0.600000 , -0.800000 , -1.000000 },{ -0.000000 , 0.000000 , -1.000000}},
{{0.600000 , 1.000000 , 0.800000 },{ 0.000000 , 1.000000 , 0.000000}},
{{0.800000 , 1.000000 , 0.800000 },{ 0.000000 , 1.000000 , 0.000000}},
{{0.800000 , 1.000000 , 0.600000 },{ 0.000000 , 1.000000 , 0.000000}},
{{-0.800000 , 1.000000 , -0.800000 },{ 0.000000 , 1.000000 , 0.000000}},
{{-0.600000 , 1.000000 , -0.800000 },{ 0.000000 , 1.000000 , 0.000000}},
{{-1.000000 , 1.000000 , -1.000000 },{ 0.000000 , 1.000000 , 0.000000}},
{{1.000000 , 1.000000 , -1.000000 },{ -0.000000 , 0.000000 , -1.000000}},
{{0.800000 , 0.800000 , -1.000000 },{ -0.000000 , 0.000000 , -1.000000}},
{{0.600000 , 0.800000 , -1.000000 },{ -0.000000 , 0.000000 , -1.000000}},
{{0.800000 , -0.800000 , -1.000000 },{ 0.000000 , 1.000000 , 0.000000}},
{{-0.600000 , -0.800000 , -1.000000 },{ 0.000000 , 1.000000 , 0.000000}},
{{0.800000 , -0.800000 , -0.900000 },{ 0.000000 , 1.000000 , 0.000000}},
{{-0.800000 , -0.800000 , -1.000000 },{ -0.000000 , 0.000000 , -1.000000}},
{{-0.800000 , -0.600000 , -1.000000 },{ -0.000000 , 0.000000 , -1.000000}},
{{-0.600000 , -0.800000 , -1.000000 },{ -0.000000 , 0.000000 , -1.000000}},
{{-0.600000 , -0.800000 , -0.900000 },{ -0.000000 , 0.000000 , -1.000000}},
{{0.800000 , 0.600000 , -0.900000 },{ -0.000000 , 0.000000 , -1.000000}},
{{0.800000 , -0.800000 , -0.900000 },{ -0.000000 , 0.000000 , -1.000000}},
{{0.600000 , 0.800000 , -0.900000 },{ -0.000000 , 0.000000 , -1.000000}},
{{-0.800000 , -0.600000 , -0.900000 },{ -0.000000 , 0.000000 , -1.000000}},
{{-0.800000 , 0.800000 , -0.900000 },{ -0.000000 , 0.000000 , -1.000000}},
{{0.600000 , 0.800000 , -1.000000 },{ -0.707107 , 0.707107 , 0.000000}},
{{-0.800000 , -0.600000 , -1.000000 },{ -0.707107 , 0.707107 , 0.000000}},
{{0.600000 , 0.800000 , -0.900000 },{ -0.707107 , 0.707107 , 0.000000}},
{{-0.800000 , -0.600000 , -1.000000 },{ 1.000000 , 0.000000 , 0.000000}},
{{-0.800000 , 0.800000 , -1.000000 },{ 1.000000 , 0.000000 , 0.000000}},
{{-0.800000 , -0.600000 , -0.900000 },{ 1.000000 , 0.000000 , 0.000000}},
{{-0.800000 , 0.800000 , -1.000000 },{ 0.000000 , -1.000000 , 0.000000}},
{{0.600000 , 0.800000 , -1.000000 },{ 0.000000 , -1.000000 , 0.000000}},
{{-0.800000 , 0.800000 , -0.900000 },{ 0.000000 , -1.000000 , 0.000000}},
{{0.800000 , 0.600000 , -1.000000 },{ -1.000000 , 0.000000 , 0.000000}},
{{0.800000 , -0.800000 , -1.000000 },{ -1.000000 , 0.000000 , 0.000000}},
{{0.800000 , 0.600000 , -0.900000 },{ -1.000000 , 0.000000 , 0.000000}},
{{-1.000000 , 1.000000 , -1.000000 },{ -1.000000 , 0.000000 , 0.000000}},
{{-1.000000 , 0.800000 , -0.800000 },{ -1.000000 , 0.000000 , 0.000000}},
{{-1.000000 , 0.800000 , -0.600000 },{ -1.000000 , 0.000000 , 0.000000}},
{{0.000000 , 0.900000 , 0.800000 },{ 0.000000 , 1.000000 , 0.000000}},
{{0.600000 , 0.900000 , 0.800000 },{ 0.000000 , 1.000000 , 0.000000}},
{{-0.800000 , 0.900000 , -0.600000 },{ 0.000000 , 1.000000 , 0.000000}},
{{-1.000000 , 0.600000 , -0.800000 },{ 0.000000 , 0.000000 , 1.000000}},
{{-1.000000 , -0.800000 , -0.800000 },{ 0.000000 , 0.000000 , 1.000000}},
{{-0.900000 , 0.600000 , -0.800000 },{ 0.000000 , 0.000000 , 1.000000}},
{{-1.000000 , -0.800000 , -0.800000 },{ 0.000000 , 1.000000 , 0.000000}},
{{-1.000000 , -0.800000 , 0.600000 },{ 0.000000 , 1.000000 , 0.000000}},
{{-0.900000 , -0.800000 , -0.800000 },{ 0.000000 , 1.000000 , 0.000000}},
{{-1.000000 , -0.800000 , 0.600000 },{ 0.000000 , -0.707107 , -0.707107}},
{{-1.000000 , 0.600000 , -0.800000 },{ 0.000000 , -0.707107 , -0.707107}},
{{-0.900000 , -0.800000 , 0.600000 },{ 0.000000 , -0.707107 , -0.707107}},
{{-1.000000 , -1.000000 , -1.000000 },{ -1.000000 , 0.000000 , 0.000000}},
{{-1.000000 , -1.000000 , 1.000000 },{ -1.000000 , 0.000000 , 0.000000}},
{{-1.000000 , -0.800000 , -0.800000 },{ -1.000000 , 0.000000 , 0.000000}},
{{-1.000000 , -1.000000 , 1.000000 },{ -1.000000 , 0.000000 , 0.000000}},
{{-1.000000 , -0.800000 , 0.600000 },{ -1.000000 , 0.000000 , 0.000000}},
{{-1.000000 , -0.800000 , -0.800000 },{ -1.000000 , 0.000000 , 0.000000}},
{{1.000000 , -1.000000 , 1.000000 },{ 0.000000 , 0.000000 , 1.000000}},
{{1.000000 , 1.000000 , 1.000000 },{ 0.000000 , 0.000000 , 1.000000}},
{{0.800000 , 0.800000 , 1.000000 },{ 0.000000 , 0.000000 , 1.000000}},
{{0.800000 , -0.600000 , 1.000000 },{ 0.000000 , 0.000000 , 1.000000}},
{{1.000000 , -1.000000 , 1.000000 },{ 0.000000 , 0.000000 , 1.000000}},
{{0.800000 , 0.800000 , 1.000000 },{ 0.000000 , 0.000000 , 1.000000}},
{{1.000000 , -1.000000 , 1.000000 },{ 1.000000 , 0.000000 , 0.000000}},
{{1.000000 , -1.000000 , -1.000000 },{ 1.000000 , 0.000000 , 0.000000}},
{{1.000000 , -0.800000 , 0.800000 },{ 1.000000 , 0.000000 , 0.000000}},
{{1.000000 , -1.000000 , -1.000000 },{ 1.000000 , 0.000000 , 0.000000}},
{{1.000000 , -0.800000 , -0.600000 },{ 1.000000 , 0.000000 , 0.000000}},
{{1.000000 , -0.800000 , 0.800000 },{ 1.000000 , 0.000000 , 0.000000}},
{{1.000000 , 1.000000 , -1.000000 },{ -0.000000 , 0.000000 , -1.000000}},
{{1.000000 , -1.000000 , -1.000000 },{ -0.000000 , 0.000000 , -1.000000}},
{{0.800000 , -0.800000 , -1.000000 },{ -0.000000 , 0.000000 , -1.000000}},
{{0.800000 , 0.600000 , -1.000000 },{ -0.000000 , 0.000000 , -1.000000}},
{{1.000000 , 1.000000 , -1.000000 },{ -0.000000 , 0.000000 , -1.000000}},
{{0.800000 , -0.800000 , -1.000000 },{ -0.000000 , 0.000000 , -1.000000}},
{{1.000000 , -1.000000 , 1.000000 },{ 0.000000 , -1.000000 , 0.000000}},
{{0.800000 , -1.000000 , 0.800000 },{ 0.000000 , -1.000000 , 0.000000}},
{{0.800000 , -1.000000 , -0.800000 },{ 0.000000 , -1.000000 , 0.000000}},
{{0.000000 , 1.000000 , 1.000000 },{ 0.000000 , 1.000000 , 0.000000}},
{{1.000000 , 1.000000 , 1.000000 },{ 0.000000 , 1.000000 , 0.000000}},
{{0.000000 , 1.000000 , 0.800000 },{ 0.000000 , 1.000000 , 0.000000}},
{{1.000000 , 1.000000 , 1.000000 },{ 0.000000 , 1.000000 , 0.000000}},
{{0.600000 , 1.000000 , 0.800000 },{ 0.000000 , 1.000000 , 0.000000}},
{{0.000000 , 1.000000 , 0.800000 },{ 0.000000 , 1.000000 , 0.000000}},
{{-1.000000 , -0.600000 , 0.800000 },{ 0.000000 , 0.707107 , 0.707107}},
{{-0.900000 , -0.600000 , 0.800000 },{ 0.000000 , 0.707107 , 0.707107}},
{{-0.900000 , 0.800000 , -0.600000 },{ 0.000000 , 0.707107 , 0.707107}},
{{1.000000 , -1.000000 , -1.000000 },{ 1.000000 , 0.000000 , 0.000000}},
{{1.000000 , 1.000000 , -1.000000 },{ 1.000000 , 0.000000 , 0.000000}},
{{1.000000 , 0.800000 , -0.800000 },{ 1.000000 , 0.000000 , 0.000000}},
{{1.000000 , -0.600000 , -0.800000 },{ 1.000000 , 0.000000 , 0.000000}},
{{1.000000 , -1.000000 , -1.000000 },{ 1.000000 , 0.000000 , 0.000000}},
{{1.000000 , 0.800000 , -0.800000 },{ 1.000000 , 0.000000 , 0.000000}},
{{1.000000 , 1.000000 , 1.000000 },{ 1.000000 , 0.000000 , 0.000000}},
{{1.000000 , -1.000000 , 1.000000 },{ 1.000000 , 0.000000 , 0.000000}},
{{1.000000 , -0.800000 , 0.800000 },{ 1.000000 , 0.000000 , 0.000000}},
{{1.000000 , 0.600000 , 0.800000 },{ 1.000000 , 0.000000 , 0.000000}},
{{1.000000 , 1.000000 , 1.000000 },{ 1.000000 , 0.000000 , 0.000000}},
{{1.000000 , -0.800000 , 0.800000 },{ 1.000000 , 0.000000 , 0.000000}},
{{-1.000000 , 1.000000 , -1.000000 },{ -1.000000 , 0.000000 , 0.000000}},
{{-1.000000 , -1.000000 , -1.000000 },{ -1.000000 , 0.000000 , 0.000000}},
{{-1.000000 , -0.800000 , -0.800000 },{ -1.000000 , 0.000000 , 0.000000}},
{{-1.000000 , 0.600000 , -0.800000 },{ -1.000000 , 0.000000 , 0.000000}},
{{-1.000000 , 1.000000 , -1.000000 },{ -1.000000 , 0.000000 , 0.000000}},
{{-1.000000 , -0.800000 , -0.800000 },{ -1.000000 , 0.000000 , 0.000000}},
{{1.000000 , 1.000000 , 0.000000 },{ 1.000000 , 0.000000 , 0.000000}},
{{1.000000 , 1.000000 , 1.000000 },{ 1.000000 , 0.000000 , 0.000000}},
{{1.000000 , 0.800000 , 0.000000 },{ 1.000000 , 0.000000 , 0.000000}},
{{1.000000 , 1.000000 , 1.000000 },{ 1.000000 , 0.000000 , 0.000000}},
{{1.000000 , 0.800000 , 0.600000 },{ 1.000000 , 0.000000 , 0.000000}},
{{1.000000 , 0.800000 , 0.000000 },{ 1.000000 , 0.000000 , 0.000000}},
{{-1.000000 , -1.000000 , 1.000000 },{ -1.000000 , 0.000000 , 0.000000}},
{{-1.000000 , 1.000000 , 1.000000 },{ -1.000000 , 0.000000 , 0.000000}},
{{-1.000000 , 0.800000 , 0.800000 },{ -1.000000 , 0.000000 , 0.000000}},
{{-1.000000 , -0.600000 , 0.800000 },{ -1.000000 , 0.000000 , 0.000000}},
{{-1.000000 , -1.000000 , 1.000000 },{ -1.000000 , 0.000000 , 0.000000}},
{{-1.000000 , 0.800000 , 0.800000 },{ -1.000000 , 0.000000 , 0.000000}},
{{0.600000 , -0.800000 , 1.000000 },{ 0.000000 , 1.000000 , 0.000000}},
{{0.600000 , -0.800000 , 0.900000 },{ 0.000000 , 1.000000 , 0.000000}},
{{-0.800000 , -0.800000 , 0.900000 },{ 0.000000 , 1.000000 , 0.000000}},
{{-1.000000 , -1.000000 , -1.000000 },{ -0.000000 , 0.000000 , -1.000000}},
{{-1.000000 , 1.000000 , -1.000000 },{ -0.000000 , 0.000000 , -1.000000}},
{{-0.800000 , 0.800000 , -1.000000 },{ -0.000000 , 0.000000 , -1.000000}},
{{-0.800000 , -0.600000 , -1.000000 },{ -0.000000 , 0.000000 , -1.000000}},
{{-1.000000 , -1.000000 , -1.000000 },{ -0.000000 , 0.000000 , -1.000000}},
{{-0.800000 , 0.800000 , -1.000000 },{ -0.000000 , 0.000000 , -1.000000}},
{{-1.000000 , -1.000000 , 1.000000 },{ 0.000000 , 0.000000 , 1.000000}},
{{1.000000 , -1.000000 , 1.000000 },{ 0.000000 , 0.000000 , 1.000000}},
{{-0.800000 , -0.800000 , 1.000000 },{ 0.000000 , 0.000000 , 1.000000}},
{{1.000000 , -1.000000 , 1.000000 },{ 0.000000 , 0.000000 , 1.000000}},
{{0.600000 , -0.800000 , 1.000000 },{ 0.000000 , 0.000000 , 1.000000}},
{{-0.800000 , -0.800000 , 1.000000 },{ 0.000000 , 0.000000 , 1.000000}},
{{0.000000 , 1.000000 , 1.000000 },{ 0.000000 , 0.000000 , 1.000000}},
{{-1.000000 , 1.000000 , 1.000000 },{ 0.000000 , 0.000000 , 1.000000}},
{{0.000000 , 0.800000 , 1.000000 },{ 0.000000 , 0.000000 , 1.000000}},
{{-1.000000 , 1.000000 , 1.000000 },{ 0.000000 , 0.000000 , 1.000000}},
{{-0.600000 , 0.800000 , 1.000000 },{ 0.000000 , 0.000000 , 1.000000}},
{{0.000000 , 0.800000 , 1.000000 },{ 0.000000 , 0.000000 , 1.000000}},
{{-1.000000 , 1.000000 , 1.000000 },{ 0.000000 , 0.000000 , 1.000000}},
{{-1.000000 , -1.000000 , 1.000000 },{ 0.000000 , 0.000000 , 1.000000}},
{{-0.800000 , -0.800000 , 1.000000 },{ 0.000000 , 0.000000 , 1.000000}},
{{-0.800000 , 0.600000 , 1.000000 },{ 0.000000 , 0.000000 , 1.000000}},
{{-1.000000 , 1.000000 , 1.000000 },{ 0.000000 , 0.000000 , 1.000000}},
{{-0.800000 , -0.800000 , 1.000000 },{ 0.000000 , 0.000000 , 1.000000}},
{{0.800000 , 0.600000 , -1.000000 },{ 0.707107 , -0.707107 , 0.000000}},
{{0.800000 , 0.600000 , -0.900000 },{ 0.707107 , -0.707107 , 0.000000}},
{{-0.600000 , -0.800000 , -0.900000 },{ 0.707107 , -0.707107 , 0.000000}},
{{1.000000 , 1.000000 , -1.000000 },{ 0.000000 , 1.000000 , 0.000000}},
{{0.800000 , 1.000000 , -0.800000 },{ 0.000000 , 1.000000 , 0.000000}},
{{0.800000 , 1.000000 , 0.000000 },{ 0.000000 , 1.000000 , 0.000000}},
{{-0.800000 , -1.000000 , -0.800000 },{ 0.000000 , -1.000000 , 0.000000}},
{{0.800000 , -1.000000 , -0.800000 },{ 0.000000 , -1.000000 , 0.000000}},
{{0.800000 , -1.000000 , 0.800000 },{ 0.000000 , -1.000000 , 0.000000}},
{{-1.000000 , -1.000000 , -1.000000 },{ 0.000000 , -1.000000 , 0.000000}},
{{-0.800000 , -1.000000 , -0.800000 },{ 0.000000 , -1.000000 , 0.000000}},
{{-0.800000 , -1.000000 , 0.800000 },{ 0.000000 , -1.000000 , 0.000000}},
{{1.000000 , -1.000000 , -1.000000 },{ 0.000000 , -1.000000 , 0.000000}},
{{0.800000 , -1.000000 , -0.800000 },{ 0.000000 , -1.000000 , 0.000000}},
{{-0.800000 , -1.000000 , -0.800000 },{ 0.000000 , -1.000000 , 0.000000}},
{{-1.000000 , -1.000000 , 1.000000 },{ 0.000000 , -1.000000 , 0.000000}},
{{-0.800000 , -1.000000 , 0.800000 },{ 0.000000 , -1.000000 , 0.000000}},
{{0.800000 , -1.000000 , 0.800000 },{ 0.000000 , -1.000000 , 0.000000}},
{{-1.000000 , 0.800000 , -0.600000 },{ -1.000000 , 0.000000 , 0.000000}},
{{-1.000000 , 0.800000 , -0.800000 },{ -1.000000 , 0.000000 , 0.000000}},
{{-1.000000 , 0.600000 , -0.800000 },{ -1.000000 , 0.000000 , 0.000000}},
{{-1.000000 , -0.600000 , 0.800000 },{ -1.000000 , 0.000000 , 0.000000}},
{{-1.000000 , 0.800000 , -0.600000 },{ -1.000000 , 0.000000 , 0.000000}},
{{-1.000000 , -0.800000 , 0.600000 },{ -1.000000 , 0.000000 , 0.000000}},
{{-1.000000 , 0.800000 , -0.600000 },{ -1.000000 , 0.000000 , 0.000000}},
{{-1.000000 , 0.600000 , -0.800000 },{ -1.000000 , 0.000000 , 0.000000}},
{{-1.000000 , -0.800000 , 0.600000 },{ -1.000000 , 0.000000 , 0.000000}},
{{-1.000000 , 0.800000 , 0.800000 },{ -0.000000 , 0.000000 , -1.000000}},
{{-0.900000 , 0.800000 , 0.800000 },{ -0.000000 , 0.000000 , -1.000000}},
{{-0.900000 , -0.600000 , 0.800000 },{ -0.000000 , 0.000000 , -1.000000}},
{{1.000000 , 0.800000 , -0.800000 },{ 1.000000 , 0.000000 , 0.000000}},
{{1.000000 , 1.000000 , -1.000000 },{ 1.000000 , 0.000000 , 0.000000}},
{{1.000000 , 0.800000 , 0.000000 },{ 1.000000 , 0.000000 , 0.000000}},
{{1.000000 , 1.000000 , 1.000000 },{ 0.000000 , 1.000000 , 0.000000}},
{{1.000000 , 1.000000 , 0.000000 },{ 0.000000 , 1.000000 , 0.000000}},
{{0.800000 , 1.000000 , 0.000000 },{ 0.000000 , 1.000000 , 0.000000}},
{{0.800000 , 1.000000 , 0.600000 },{ 0.000000 , 1.000000 , 0.000000}},
{{1.000000 , 1.000000 , 1.000000 },{ 0.000000 , 1.000000 , 0.000000}},
{{0.800000 , 1.000000 , 0.000000 },{ 0.000000 , 1.000000 , 0.000000}},
{{-0.800000 , 1.000000 , 0.800000 },{ 0.000000 , 1.000000 , 0.000000}},
{{-1.000000 , 1.000000 , 1.000000 },{ 0.000000 , 1.000000 , 0.000000}},
{{0.000000 , 1.000000 , 0.800000 },{ 0.000000 , 1.000000 , 0.000000}},
{{0.800000 , 0.800000 , 1.000000 },{ 0.000000 , 0.000000 , 1.000000}},
{{1.000000 , 1.000000 , 1.000000 },{ 0.000000 , 0.000000 , 1.000000}},
{{0.000000 , 0.800000 , 1.000000 },{ 0.000000 , 0.000000 , 1.000000}},
{{-0.600000 , 1.000000 , -0.800000 },{ 0.000000 , 0.000000 , 1.000000}},
{{-0.600000 , 0.900000 , -0.800000 },{ 0.000000 , 0.000000 , 1.000000}},
{{0.800000 , 0.900000 , -0.800000 },{ 0.000000 , 0.000000 , 1.000000}},
{{0.800000 , 1.000000 , 0.000000 },{ -1.000000 , 0.000000 , 0.000000}},
{{0.800000 , 0.900000 , 0.000000 },{ -1.000000 , 0.000000 , 0.000000}},
{{0.800000 , 0.900000 , 0.600000 },{ -1.000000 , 0.000000 , 0.000000}},
{{-1.000000 , 0.800000 , -0.600000 },{ 0.000000 , -1.000000 , 0.000000}},
{{-0.900000 , 0.800000 , -0.600000 },{ 0.000000 , -1.000000 , 0.000000}},
{{-0.900000 , 0.800000 , 0.800000 },{ 0.000000 , -1.000000 , 0.000000}},
{{0.600000 , 1.000000 , 0.800000 },{ -0.000000 , 0.000000 , -1.000000}},
{{0.600000 , 0.900000 , 0.800000 },{ -0.000000 , 0.000000 , -1.000000}},
{{0.000000 , 0.900000 , 0.800000 },{ -0.000000 , 0.000000 , -1.000000}},
{{0.000000 , 1.000000 , 0.800000 },{ -0.000000 , 0.000000 , -1.000000}},
{{0.000000 , 0.900000 , 0.800000 },{ -0.000000 , 0.000000 , -1.000000}},
{{-0.800000 , 0.900000 , 0.800000 },{ -0.000000 , 0.000000 , -1.000000}},
{{-0.800000 , 1.000000 , -0.600000 },{ -0.707107 , 0.000000 , 0.707107}},
{{-0.800000 , 0.900000 , -0.600000 },{ -0.707107 , 0.000000 , 0.707107}},
{{0.600000 , 0.900000 , 0.800000 },{ -0.707107 , 0.000000 , 0.707107}},
{{0.800000 , 0.900000 , -0.800000 },{ 0.000000 , 1.000000 , 0.000000}},
{{-0.600000 , 0.900000 , -0.800000 },{ 0.000000 , 1.000000 , 0.000000}},
{{0.800000 , 0.900000 , 0.000000 },{ 0.000000 , 1.000000 , 0.000000}},
{{0.800000 , 1.000000 , -0.800000 },{ -1.000000 , 0.000000 , 0.000000}},
{{0.800000 , 0.900000 , -0.800000 },{ -1.000000 , 0.000000 , 0.000000}},
{{0.800000 , 0.900000 , 0.000000 },{ -1.000000 , 0.000000 , 0.000000}},
{{-0.800000 , 1.000000 , 0.800000 },{ 1.000000 , 0.000000 , 0.000000}},
{{-0.800000 , 0.900000 , 0.800000 },{ 1.000000 , 0.000000 , 0.000000}},
{{-0.800000 , 0.900000 , -0.600000 },{ 1.000000 , 0.000000 , 0.000000}},
{{-1.000000 , 1.000000 , -1.000000 },{ 0.000000 , 1.000000 , 0.000000}},
{{-1.000000 , 1.000000 , 1.000000 },{ 0.000000 , 1.000000 , 0.000000}},
{{-0.800000 , 1.000000 , 0.800000 },{ 0.000000 , 1.000000 , 0.000000}},
{{-0.800000 , 1.000000 , -0.600000 },{ 0.000000 , 1.000000 , 0.000000}},
{{-1.000000 , 1.000000 , -1.000000 },{ 0.000000 , 1.000000 , 0.000000}},
{{-0.800000 , 1.000000 , 0.800000 },{ 0.000000 , 1.000000 , 0.000000}},
{{0.800000 , 1.000000 , 0.600000 },{ 0.707107 , 0.000000 , -0.707107}},
{{0.800000 , 0.900000 , 0.600000 },{ 0.707107 , 0.000000 , -0.707107}},
{{-0.600000 , 0.900000 , -0.800000 },{ 0.707107 , 0.000000 , -0.707107}},
{{1.000000 , -0.600000 , -0.800000 },{ 1.000000 , 0.000000 , 0.000000}},
{{1.000000 , 0.800000 , 0.600000 },{ 1.000000 , 0.000000 , 0.000000}},
{{1.000000 , 0.600000 , 0.800000 },{ 1.000000 , 0.000000 , 0.000000}},
{{1.000000 , -0.800000 , -0.600000 },{ 0.000000 , 1.000000 , 0.000000}},
{{0.900000 , -0.800000 , -0.600000 },{ 0.000000 , 1.000000 , 0.000000}},
{{0.900000 , -0.800000 , 0.800000 },{ 0.000000 , 1.000000 , 0.000000}},
{{1.000000 , 0.800000 , -0.800000 },{ 0.000000 , 0.000000 , 1.000000}},
{{0.900000 , 0.800000 , -0.800000 },{ 0.000000 , 0.000000 , 1.000000}},
{{0.900000 , -0.600000 , -0.800000 },{ 0.000000 , 0.000000 , 1.000000}},
{{1.000000 , -0.600000 , -0.800000 },{ 0.000000 , 0.707107 , -0.707107}},
{{0.900000 , -0.600000 , -0.800000 },{ 0.000000 , 0.707107 , -0.707107}},
{{0.900000 , 0.800000 , 0.600000 },{ 0.000000 , 0.707107 , -0.707107}},
{{1.000000 , 0.800000 , 0.600000 },{ 0.000000 , -1.000000 , 0.000000}},
{{0.900000 , 0.800000 , 0.600000 },{ 0.000000 , -1.000000 , 0.000000}},
{{0.900000 , 0.800000 , -0.800000 },{ 0.000000 , -1.000000 , 0.000000}},
{{1.000000 , 0.600000 , 0.800000 },{ 0.000000 , -0.707107 , 0.707107}},
{{0.900000 , 0.600000 , 0.800000 },{ 0.000000 , -0.707107 , 0.707107}},
{{0.900000 , -0.800000 , -0.600000 },{ 0.000000 , -0.707107 , 0.707107}},
{{1.000000 , -0.800000 , 0.800000 },{ -0.000000 , 0.000000 , -1.000000}},
{{0.900000 , -0.800000 , 0.800000 },{ -0.000000 , 0.000000 , -1.000000}},
{{0.900000 , 0.600000 , 0.800000 },{ -0.000000 , 0.000000 , -1.000000}},
{{-0.800000 , 0.600000 , 1.000000 },{ -0.707107 , -0.707107 , 0.000000}},
{{-0.800000 , 0.600000 , 0.900000 },{ -0.707107 , -0.707107 , 0.000000}},
{{0.600000 , -0.800000 , 0.900000 },{ -0.707107 , -0.707107 , 0.000000}},
{{-0.800000 , 0.800000 , 1.000000 },{ 0.000000 , 0.000000 , 1.000000}},
{{-0.800000 , 0.600000 , 1.000000 },{ 0.000000 , 0.000000 , 1.000000}},
{{-0.600000 , 0.800000 , 1.000000 },{ 0.000000 , 0.000000 , 1.000000}},
{{-0.800000 , 0.600000 , 1.000000 },{ 0.000000 , 0.000000 , 1.000000}},
{{0.600000 , -0.800000 , 1.000000 },{ 0.000000 , 0.000000 , 1.000000}},
{{-0.600000 , 0.800000 , 1.000000 },{ 0.000000 , 0.000000 , 1.000000}},
{{0.600000 , -0.800000 , 1.000000 },{ 0.000000 , 0.000000 , 1.000000}},
{{0.800000 , -0.600000 , 1.000000 },{ 0.000000 , 0.000000 , 1.000000}},
{{-0.600000 , 0.800000 , 1.000000 },{ 0.000000 , 0.000000 , 1.000000}},
{{0.800000 , -0.600000 , 1.000000 },{ 0.707107 , 0.707107 , 0.000000}},
{{0.800000 , -0.600000 , 0.900000 },{ 0.707107 , 0.707107 , 0.000000}},
{{-0.600000 , 0.800000 , 0.900000 },{ 0.707107 , 0.707107 , 0.000000}},
{{-0.800000 , -0.800000 , 1.000000 },{ 1.000000 , 0.000000 , 0.000000}},
{{-0.800000 , -0.800000 , 0.900000 },{ 1.000000 , 0.000000 , 0.000000}},
{{-0.800000 , 0.600000 , 0.900000 },{ 1.000000 , 0.000000 , 0.000000}},
{{-0.600000 , 0.800000 , 1.000000 },{ 0.000000 , -1.000000 , 0.000000}},
{{-0.600000 , 0.800000 , 0.900000 },{ 0.000000 , -1.000000 , 0.000000}},
{{0.800000 , 0.800000 , 0.900000 },{ 0.000000 , -1.000000 , 0.000000}},
{{0.800000 , 0.800000 , 1.000000 },{ -1.000000 , 0.000000 , 0.000000}},
{{0.800000 , 0.800000 , 0.900000 },{ -1.000000 , 0.000000 , 0.000000}},
{{0.800000 , -0.600000 , 0.900000 },{ -1.000000 , 0.000000 , 0.000000}},
{{1.000000 , -1.000000 , -1.000000 },{ -0.000000 , 0.000000 , -1.000000}},
{{-1.000000 , -1.000000 , -1.000000 },{ -0.000000 , 0.000000 , -1.000000}},
{{0.800000 , -0.800000 , -1.000000 },{ -0.000000 , 0.000000 , -1.000000}},
{{-1.000000 , -1.000000 , -1.000000 },{ -0.000000 , 0.000000 , -1.000000}},
{{-0.600000 , -0.800000 , -1.000000 },{ -0.000000 , 0.000000 , -1.000000}},
{{0.800000 , -0.800000 , -1.000000 },{ -0.000000 , 0.000000 , -1.000000}},
{{-0.800000 , 1.000000 , -0.800000 },{ 0.000000 , 1.000000 , 0.000000}},
{{-0.800000 , 1.000000 , -0.600000 },{ 0.000000 , 1.000000 , 0.000000}},
{{-0.600000 , 1.000000 , -0.800000 },{ 0.000000 , 1.000000 , 0.000000}},
{{-0.800000 , 1.000000 , -0.600000 },{ 0.000000 , 1.000000 , 0.000000}},
{{0.600000 , 1.000000 , 0.800000 },{ 0.000000 , 1.000000 , 0.000000}},
{{-0.600000 , 1.000000 , -0.800000 },{ 0.000000 , 1.000000 , 0.000000}},
{{0.600000 , 1.000000 , 0.800000 },{ 0.000000 , 1.000000 , 0.000000}},
{{0.800000 , 1.000000 , 0.600000 },{ 0.000000 , 1.000000 , 0.000000}},
{{-0.600000 , 1.000000 , -0.800000 },{ 0.000000 , 1.000000 , 0.000000}},
{{-0.600000 , 1.000000 , -0.800000 },{ 0.000000 , 1.000000 , 0.000000}},
{{0.800000 , 1.000000 , -0.800000 },{ 0.000000 , 1.000000 , 0.000000}},
{{-1.000000 , 1.000000 , -1.000000 },{ 0.000000 , 1.000000 , 0.000000}},
{{0.800000 , 1.000000 , -0.800000 },{ 0.000000 , 1.000000 , 0.000000}},
{{1.000000 , 1.000000 , -1.000000 },{ 0.000000 , 1.000000 , 0.000000}},
{{-1.000000 , 1.000000 , -1.000000 },{ 0.000000 , 1.000000 , 0.000000}},
{{-1.000000 , 1.000000 , -1.000000 },{ -0.000000 , 0.000000 , -1.000000}},
{{1.000000 , 1.000000 , -1.000000 },{ -0.000000 , 0.000000 , -1.000000}},
{{-0.800000 , 0.800000 , -1.000000 },{ -0.000000 , 0.000000 , -1.000000}},
{{1.000000 , 1.000000 , -1.000000 },{ -0.000000 , 0.000000 , -1.000000}},
{{0.600000 , 0.800000 , -1.000000 },{ -0.000000 , 0.000000 , -1.000000}},
{{-0.800000 , 0.800000 , -1.000000 },{ -0.000000 , 0.000000 , -1.000000}},
{{-0.600000 , -0.800000 , -1.000000 },{ 0.000000 , 1.000000 , 0.000000}},
{{-0.600000 , -0.800000 , -0.900000 },{ 0.000000 , 1.000000 , 0.000000}},
{{0.800000 , -0.800000 , -0.900000 },{ 0.000000 , 1.000000 , 0.000000}},
{{0.600000 , 0.800000 , -1.000000 },{ -0.000000 , 0.000000 , -1.000000}},
{{0.800000 , 0.800000 , -1.000000 },{ -0.000000 , 0.000000 , -1.000000}},
{{0.800000 , 0.600000 , -1.000000 },{ -0.000000 , 0.000000 , -1.000000}},
{{-0.800000 , -0.600000 , -1.000000 },{ -0.000000 , 0.000000 , -1.000000}},
{{0.600000 , 0.800000 , -1.000000 },{ -0.000000 , 0.000000 , -1.000000}},
{{-0.600000 , -0.800000 , -1.000000 },{ -0.000000 , 0.000000 , -1.000000}},
{{0.600000 , 0.800000 , -1.000000 },{ -0.000000 , 0.000000 , -1.000000}},
{{0.800000 , 0.600000 , -1.000000 },{ -0.000000 , 0.000000 , -1.000000}},
{{-0.600000 , -0.800000 , -1.000000 },{ -0.000000 , 0.000000 , -1.000000}},
{{-0.800000 , -0.600000 , -1.000000 },{ -0.707107 , 0.707107 , 0.000000}},
{{-0.800000 , -0.600000 , -0.900000 },{ -0.707107 , 0.707107 , 0.000000}},
{{0.600000 , 0.800000 , -0.900000 },{ -0.707107 , 0.707107 , 0.000000}},
{{-0.800000 , 0.800000 , -1.000000 },{ 1.000000 , 0.000000 , 0.000000}},
{{-0.800000 , 0.800000 , -0.900000 },{ 1.000000 , 0.000000 , 0.000000}},
{{-0.800000 , -0.600000 , -0.900000 },{ 1.000000 , 0.000000 , 0.000000}},
{{0.600000 , 0.800000 , -1.000000 },{ 0.000000 , -1.000000 , 0.000000}},
{{0.600000 , 0.800000 , -0.900000 },{ 0.000000 , -1.000000 , 0.000000}},
{{-0.800000 , 0.800000 , -0.900000 },{ 0.000000 , -1.000000 , 0.000000}},
{{0.800000 , -0.800000 , -1.000000 },{ -1.000000 , 0.000000 , 0.000000}},
{{0.800000 , -0.800000 , -0.900000 },{ -1.000000 , 0.000000 , 0.000000}},
{{0.800000 , 0.600000 , -0.900000 },{ -1.000000 , 0.000000 , 0.000000}},
{{-1.000000 , 1.000000 , 1.000000 },{ -1.000000 , 0.000000 , 0.000000}},
{{-1.000000 , 1.000000 , -1.000000 },{ -1.000000 , 0.000000 , 0.000000}},
{{-1.000000 , 0.800000 , 0.800000 },{ -1.000000 , 0.000000 , 0.000000}},
{{-1.000000 , 1.000000 , -1.000000 },{ -1.000000 , 0.000000 , 0.000000}},
{{-1.000000 , 0.800000 , -0.600000 },{ -1.000000 , 0.000000 , 0.000000}},
{{-1.000000 , 0.800000 , 0.800000 },{ -1.000000 , 0.000000 , 0.000000}},
{{-0.800000 , 0.900000 , 0.800000 },{ 0.000000 , 1.000000 , 0.000000}},
{{0.000000 , 0.900000 , 0.800000 },{ 0.000000 , 1.000000 , 0.000000}},
{{-0.800000 , 0.900000 , -0.600000 },{ 0.000000 , 1.000000 , 0.000000}},
{{-1.000000 , -0.800000 , -0.800000 },{ 0.000000 , 0.000000 , 1.000000}},
{{-0.900000 , -0.800000 , -0.800000 },{ 0.000000 , 0.000000 , 1.000000}},
{{-0.900000 , 0.600000 , -0.800000 },{ 0.000000 , 0.000000 , 1.000000}},
{{-1.000000 , -0.800000 , 0.600000 },{ 0.000000 , 1.000000 , 0.000000}},
{{-0.900000 , -0.800000 , 0.600000 },{ 0.000000 , 1.000000 , 0.000000}},
{{-0.900000 , -0.800000 , -0.800000 },{ 0.000000 , 1.000000 , 0.000000}},
{{-1.000000 , 0.600000 , -0.800000 },{ 0.000000 , -0.707107 , -0.707107}},
{{-0.900000 , 0.600000 , -0.800000 },{ 0.000000 , -0.707107 , -0.707107}},
{{-0.900000 , -0.800000 , 0.600000 },{ 0.000000 , -0.707107 , -0.707107}},
};
